Skip to content

translateCompanyBalances

WRITE

Translate company balances.

POST /api/v1/accounting/translateCompanyBalances
curl -X POST '<your-host>/api/v1/accounting/translateCompanyBalances' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "targetCurrency": "string",
    "periodEnd": "string",
    "periodStart": "string",
    "balances": []
  }'
Response
{
  "results": [
    {
      "accountId": "string",
      "localBalance": 0,
      "exchangeRate": 0,
      "translatedBalance": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "targetCurrency": {
      "type": "string"
    },
    "periodEnd": {
      "type": "string"
    },
    "periodStart": {
      "type": "string"
    },
    "balances": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "balanceAtDate": {
            "type": "number"
          },
          "consolidatedRate": {
            "type": [
              "string",
              "null"
            ]
          },
          "isGroup": {
            "type": [
              "boolean",
              "null"
            ]
          },
          "class": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "balanceAtDate",
          "consolidatedRate",
          "isGroup",
          "class"
        ]
      }
    }
  },
  "required": [
    "targetCurrency",
    "periodEnd",
    "periodStart",
    "balances"
  ]
}